[SciPy-dev] Note on changeset 5878: Add old_behavior arg for convolve2d and correlate2d

Pearu Peterson pearu.peterson@gmail....
Wed Oct 7 09:00:06 CDT 2009



Stéfan van der Walt wrote:
> 2009/10/7 Pearu Peterson <pearu.peterson@gmail.com>:
>> The problem right now is that it is difficult to write a stable
>> application that would not give this warning.
>> Using old_behavior=False argument means that when upgrading to scipy
>> 0.9.0, the application will become broken because the kw argument will
>> be removed. In my application the old and new behaviors are identical.
> 
> If the old and new behaviours are identical, you could just suppress
> the warning:
> 
> http://docs.python.org/library/warnings.html#temporarily-suppressing-warnings

Sure. But suppressing warnings is a temporary solution and pollutes an
application code. In fact, an easier temporary solution would be just to
use old_behavior=False.

I was looking for a more permanent solution, that is, fixing the source
of the problem rather than forcing workarounds to (possible many)
applications.

Thanks,
Pearu


More information about the Scipy-dev mailing list